--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Defines two methods. One method executes the before hook stack. The other executes the after hook stack. This method will be called many times during the Class definition process. It should be called for each hook that is defined. It will also be called when a hook is redefined (to make sure that the arity hasn't changed).
full_name: Extlib::Hook::ClassMethods#define_hook_stack_execution_methods
is_singleton: false
name: define_hook_stack_execution_methods
params: (target_method, scope)
visibility: public
